Library Version 18.1.40

DB_ENV->get_metadata_dir()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_metadata_dir()

    #include <db.h>

    int
    DB_ENV->get_metadata_dir(DB_ENV *envp, const char **dirp);

The `DB_ENV->get_metadata_dir()` method returns the directory where persistent metadata is stored. This location can be set using the DB_ENV->set_metadata_dir() method.

The `DB_ENV->get_metadata_dir()` directory may be called at any time during the life of the application.

The `DB_ENV->get_metadata_dir()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### dirp

The dirp parameter references memory into which is copied the directory which contains persistent metadata files.

### Class

DB_ENV

### See Also

Database Environments and Related Methods, DB_ENV->set_metadata_dir()

Prev | Up | Next
DB_ENV->get_memory_max() | Home | DB_ENV->get_msgfile()